#include<bits/stdc++.h>
#include<string.h>
using namespace std;
int main()
{
    long long n,chetni=0,nechetni=0;
    cin>>n;
    long long nums[n];
    for(int i=0;i<n;i++)cin>>nums[i];

    sort(nums,nums+n);

    for(int i=1;i<n;i++)
    {
        if(nums[i-1]!=(nums[i]-1))
       {
            for(int j=nums[i-1]+1;j<nums[i];j++)
            {
                if(j%2==0)chetni++;
                if(j%2>0)nechetni++;
            }
        }
    }
    cout<<nechetni<<" "<<chetni;




}

